### Method

# ICalGLib Property add_parameter

since: 1.0

#### Declaration [src]

    void
    i_cal_property_add_parameter (
      ICalProperty* prop,
      ICalParameter* parameter
    )

#### Description [src]

Adds a `ICalParameter` into the `ICalProperty`. It behaves like set the copy of the `ICalParameter`. Upon completion the native part of `ICalParameter` will be set to NULL.

Available since: 1.0

#### Parameters

`parameter`

  Type: `ICalParameter`

  The parameter to be added into `prop`.

  The data is owned by the caller of the method.